package main

import (
	"log"

	"github.com/gofiber/fiber/v3"
	"worklog/db"
	"worklog/repository"
)

func main() {
	if err := db.Init(); err != nil {
		log.Fatal(err)
	}

	repo := repository.GetUserRepo(db.DB)

	app := fiber.New()

	app.Get("/", func(c fiber.Ctx) error {
		return c.SendString("Hello, World 👋!")
	})

	log.Fatal(app.Listen(":3000"))
}
